Subject: 24.3; bibtex-clean-entry and date fields in biblatex

From: Brian Zbriger <[email-masked]>
Date: Tue, 21 Jul 2015 11:16:12 +0800

`bibtex-clean-entry` removes curly braces from date fields, even if
`bibtex-dialect` is set to `biblatex`. I have not been able to find
documentation on this issue, but in my experience using latexmk and
biber, this makes the entry invalid. I have had to re-add the curly braces
to get my .bib files working again.

If I am correct in thinking that dates with curly braces are generally
compatible with biblatex, they should be left alone. Otherwise there
should be an option to have them left alone.

In GNU Emacs 24.3.1 (i686-pc-linux-gnu, GTK+ Version 3.10.7)
of 2014-03-08 on toyol, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 14.04.2 LTS